Bug 1417403 - [RFE] TripleO UI to expose JS options
Summary: [RFE] TripleO UI to expose JS options
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-ui
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M1
: ---
Assignee: Jiri Tomasek
QA Contact: Amit Ugol
URL:
Whiteboard: NeedsAllocation
Depends On:
Blocks: 1476902 1577362
TreeView+ depends on / blocked
 
Reported: 2017-01-28 18:15 UTC by arkady kanevsky
Modified: 2019-10-24 13:15 UTC (History)
26 users (show)

Fixed In Version: openstack-tripleo-ui-9.3.1-0.20180909174557.1a18ba7.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-24 13:15:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description arkady kanevsky 2017-01-28 18:15:17 UTC
Description of problem:
TripleO UI to expose JS options:
* Instance HA,
* cinder options Ceph/EQL/CMPL/ScaleIO,
* Ephemeral storage options: compute local/shared backend storage
* Expose automatic role assignment to overcloud nodes by type

Expect that we will find more and create new BZ as we go

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Dan Prince 2017-04-19 22:51:30 UTC
I think the requirement here is to provide a mechanism so that you can upload custom "default" templates as part of undercloud post install configuration.

We already have a Mistral workflow called tripleo.plan_management.v1.create_deployment_plan which might be able to be used to do this. This workflow is exposed via the Mistral API and has parameters to be able to use a custom source_url and swift container.

Comment 2 Dougal Matthews 2017-05-02 07:54:12 UTC
Sorry, I'm afraid I don't really understand this RFE. What are "JS options"?

Adding custom default templates seems like a strange requirement to me - could a custom t-h-t package be provided?

How would users let the undercloud install where the custom templates are? but yes, all we need is a plan name and a directory or git repo to retrieve the templates from - then we can create the plans.

Comment 6 Jason E. Rist 2018-03-14 21:18:34 UTC
Arkady can you elaborate on this RFE more, please?  Do you have mockups or anything similar? Also do you have anything we can test this on if we are able to expose it?  This seems like 4 different RFEs.  Perhaps some of this has been exposed already?  If possible I'd like to split this into 4 RFEs for consideration in a later release.

Comment 8 arkady kanevsky 2018-04-09 12:33:22 UTC
Sumedh,
can you respond to Jason?

Comment 9 Sean Merrow 2018-05-18 19:42:18 UTC
I believe most of what is being asked for here is already available, but will confirm with the partner.

TripleO UI to expose JS options:

* Instance HA,

This is being introduced in OSP 13 in BZ 1264181

* cinder options Ceph/EQL/CMPL/ScaleIO,

Ceph is already fully supported and integrated with OSPd. For the rest of the Dell EMC storage offerings, they would need to have the appropriate OOO patches merged upstream if not already. ScaleIO is being done in BZ 1385391.

* Ephemeral storage options: compute local/shared backend storage

Not sure what is being asked here.

* Expose automatic role assignment to overcloud nodes by type

Not sure of the ask here, but bare-metal nodes can already be detected and automatically assigned a custom role based on the profile detected.

Need more info from Sumedh.

Comment 10 Rajini Karthik 2018-05-21 18:58:33 UTC
All the cinder patches for OOO are already upstream for EQL/CMPL/VNX etc

Comment 11 Jiri Tomasek 2018-08-07 14:04:30 UTC
All requested features are available now

Comment 18 arkady kanevsky 2019-06-04 21:28:44 UTC
With TripleO UI being deprecated upstream is this really needed?
That tells me that for OSP16 UI will be dropped.
Is this correct?

Comment 19 Lon Hohberger 2019-06-07 11:43:37 UTC
Dropped in OSP15.

Comment 23 Jan Buchta 2019-10-24 13:15:10 UTC
UI has been deprecated as of OSP 14.


Note You need to log in before you can comment on or make changes to this bug.